/* K8055Controller */

#import <Cocoa/Cocoa.h>
#import "K8055.h"

@interface K8055Controller : NSObject
{
    IBOutlet id AD1Slider;
    IBOutlet id AD1Text;
    IBOutlet id AD2Slider;
    IBOutlet id AD2Text;
    IBOutlet id ConnectButton;
    IBOutlet id Counter1Debounce;
    IBOutlet id Counter1Text;
    IBOutlet id Counter2Debounce;
    IBOutlet id Counter2Text;
    IBOutlet id DA1Slider;
    IBOutlet id DA1Text;
    IBOutlet id DA2Slider;
    IBOutlet id DA2Text;
    IBOutlet id InfoText;
    IBOutlet id Input1;
    IBOutlet id Input2;
    IBOutlet id Input3;
    IBOutlet id Input4;
    IBOutlet id Input5;
    IBOutlet id Output1;
    IBOutlet id Output2;
    IBOutlet id Output3;
    IBOutlet id Output4;
    IBOutlet id Output5;
    IBOutlet id Output6;
    IBOutlet id Output7;
    IBOutlet id Output8;
    IBOutlet id SK5;
    IBOutlet id SK6;
	
	K8055 *K8055Interface;
}
- (IBAction)ClearAllAnalogAction:(id)sender;
- (IBAction)ClearAllDigitalAction:(id)sender;
- (IBAction)ConnectAction:(id)sender;
- (IBAction)Counter1DebounceAction:(id)sender;
- (IBAction)Counter1ResetAction:(id)sender;
- (IBAction)Counter2DebounceAction:(id)sender;
- (IBAction)Counter2ResetAction:(id)sender;
- (IBAction)DA1SliderAction:(id)sender;
- (IBAction)DA2SliderAction:(id)sender;
- (IBAction)Output1Action:(id)sender;
- (IBAction)Output2Action:(id)sender;
- (IBAction)Output3Action:(id)sender;
- (IBAction)Output4Action:(id)sender;
- (IBAction)Output5Action:(id)sender;
- (IBAction)Output6Action:(id)sender;
- (IBAction)Output7Action:(id)sender;
- (IBAction)Output8Action:(id)sender;
- (IBAction)OutputTestAction:(id)sender;
- (IBAction)SetAllAnalogAction:(id)sender;
- (IBAction)SetAllDigitalAction:(id)sender;
@end
